package com.pcloud.book.riddle.enums;

/**
 * @描述：猜谜进度状态
 * @作者：zhuyajie
 * @创建时间：10:14 2019/7/25
 * @版本：1.0
 */
public enum RiddleRecordStatusEnum {

    /**
     * 开始
     */
    begin(0),
    /**
     *结束
     */
    end(1),
    /**
     *进行中
     */
    underway(2),
    /**
     * 通关结束
     */
    over(3);

    private Integer code;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    RiddleRecordStatusEnum(Integer code) {
        this.code = code;
    }

    public static final Integer[] GAME_END = {end.code, over.code};
}
